# -*- mode: ruby -*-
# vi: set ft=ruby :
#

Vagrant.configure(2) do |config|
  LOCAL_DEV_PORT=3000
  config.vm.box = 'debian/stretch64'
  config.vm.hostname = 'tech.digiresilience.org'

  # http
  config.vm.network 'forwarded_port', guest: 3000, host: LOCAL_DEV_PORT, host_ip: '127.0.0.1', protocol: 'tcp'

  config.vm.provider :virtualbox do |vb|
    vb.name   = 'tech.digiresilience.org'
    vb.memory = 2048
    vb.cpus   = 2
  end

  config.vm.synced_folder '.', '/home/vagrant/tech.digiresilience.org', type: "nfs" ,  mount_options: ['rw', 'vers=3', 'tcp', 'fsc' ,'actimeo=2']
  config.vm.network "private_network", ip: '172.28.128.6'
  #config.vm.network "private_network", type: "dhcp", virtualbox__intnet: "mitmnet"
  #config.vm.provision :shell, path: "proxy-route.sh", run: "always"
  #config.vm.provision 'shell',
    #path: '.provision/bootstrap.sh', args: ENV['PACKAGER_REPO']

  #config.vm.provision "ansible", run: "always" do |ansible|
    #ansible.playbook = "route.yml"
    #ansible.become = true
  #end

  #config.vm.provision "ansible" do |ansible|
    #ansible.playbook = "bootstrap.yml"
    #ansible.become = true
  #end
  #

end
